<?php

function send($token, $amount, $callback, $invoiceNumber, $description, $invoiceDate, $mobile = null, $email = null)
{
    return curl_post('https://ipg.gardeshpay.ir/provider/payment/getToken', [
        'token' => $token,
        'amount' => $amount,
        'callback' => $callback,
        'invoiceNumber' => $invoiceNumber,
        'invoiceDate' => $invoiceDate,
        'email' => $email,
        'mobile' => $mobile,
        'description' => $description
    ]);
}

function verify($token, $trackingNumber)
{
    return curl_post('https://ipg.gardeshpay.ir/provider/payment/verify', [
        'token' => $token,
        'trackingNumber' => $trackingNumber,
    ]);
}

function curl_post($url, $params)
{
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($params));
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/json',
    ]);
    $res = curl_exec($ch);
    curl_close($ch);

    return $res;
}
